import request from '/@/utils/request';

export function certApi() {
    return {
        // v2
        getCerttypeList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/certtype/page/list`,
                method: 'post',
                data: data
            });
        },
        // v2
        addCerttype: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/certtype/add`,
                method: 'post',
                data: data
            });
        },
        // v2
        modCerttype: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/certtype/mod`,
                method: 'post',
                data: data
            });
        },
        // v2
        deleteCerttype: (id: number) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/certtype/del?id=${id}`,
                method: 'get'
            });
        },

        getCertUsers: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/user/certtype/list`,
                method: 'post',
                data: data
            });
        },

        getCertUnvalid: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/user/cert/unvalid/list`,
                method: 'post',
                data: data
            });
        }
    };
}
